/* Copyright (c) 2016, vuko@hackerspace.pl 
 * 
 * This software is provided 'as-is', without any express or implied
 * warranty. In no event will the authors be held liable for any damages
 * arising from the use of this software.
 * 
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 * 
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software
 *    in a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 */
#ifndef IOBUFFERS_H
#define IOBUFFERS_H

#include"fifo.h"

extern fifo tx_fifo;
extern fifo rx_fifo; 
int _write(int, char*, int);
int _read(int, char*, int);
int _write_block(int, char*, int);
int _read_block(int, char*, int);
#endif
